"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (initState) {
  var states = [initState];
  return {
    getState: function getState() {
      return states[states.length - 1];
    },
    getCurrentUrl: function getCurrentUrl() {
      return null;
    },
    pushState: function pushState(state) {
      states.push(state);
    },
    replaceState: function replaceState(state) {
      states[states.length - 1] = state;
    },
    back: function back() {
      states.pop();
    }
  };
};