'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = {
  getState: function getState() {
    return window.history.state;
  },
  getCurrentUrl: function getCurrentUrl() {
    return global.location.href;
  },
  pushState: function pushState(state, title, url) {
    window.history.pushState(state, title, url);
  },
  replaceState: function replaceState(state, title, url) {
    window.history.replaceState(state, title, url);
  },
  back: function back() {
    window.history.back();
  },
  listenForPop: function listenForPop(callback) {
    window.addEventListener('popstate', callback);
  },
  getUserAgent: function getUserAgent() {
    return window.navigator.userAgent;
  }
};