"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (strategies) {
  strategies.reduce(function (prev, next) {
    var response = prev;
    Object.keys(next).forEach(function (key) {
      if (prev[key]) {
        (function () {
          var inner = prev[key];
          response[key] = function (pages) {
            next[key](inner(pages));
          };
        })();
      } else {
        response[key] = next[key];
      }
    });
    return prev;
  }, {});
};