'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var needsPatching = exports.needsPatching = function needsPatching(userAgent) {
  // eslint-disable-line
  var result = /iPhone OS ([0-9_]+)/.exec(userAgent);
  if (result) {
    var version = result[1];
    var parts = (version || '').split('_');
    var major = parseInt(parts[0] || '10', 10);
    var minor = parseInt(parts[1] || '0', 10);
    // const fix = parseInt(parts[2] || '0', 10);
    if (major < 9) {
      return true;
    } else if (major === 9 && minor < 3) {
      return true;
    } else {
      return false;
    }
  } else {
    return false;
  }
};